Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IM Profile
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.siemens.icm.io
Interface ATCommandResponseListener

public interface ATCommandResponseListener

The ATCommandResponseListenerListener interface defines the capabilities for receiving the response of sending an AT command to a module's AT interpreter. When the user wants to use the non blocking version of the ATCommand.send function an implementation class for the ATCommandResponseListener interface must be created first. The single ATResponse method of this class must contain the processing code for the possible response to the sent AT command. After creating an instance of the ATCommandResponseListener class, this class instance has to be passed as the second parameter to the non blocking ATCommand.send method. After the AT command has been passed to the connected AT interpreter the function returns immediately and the response to the given AT command is passed to this callback class later when it is available.

See Also:
  `ATCommand`, `ATCommandListener`

Method Summary
`void` | `ATResponse(String Response)` Callback method for passing the response to a call of the non blocking version of the ATCommand.send function.

Method Detail

### ATResponse

    public void ATResponse(String Response)

  Callback method for passing the response to a call of the non blocking version of the ATCommand.send function. The callback method, will be called by the runtime system if the response to an AT command sent by the non blocking version of the ATCommand.send function is available. While implementing a class for the ATCommandResponseListener interface, the user has to place the code for processing the response into this method.

  Currently there are 1024 bytes reserved to temporary store the response internal inside the virtual machine. Some AT commands return responses which might be longer (e.g. reading a phone book or the provider list at once). In this case this function is called passing a null. To avoid this an application should use the possible problematic commands in their format returning only single entries. Also if anything went wrong a null is passed to this function.

  Parameters:
    `Response` - The response to the sent AT command. If the response was too long or anything else went wrong null is passed to the function.
  See Also:
    `ATCommand`, `ATCommand.send(java.lang.String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IM Profile
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a comment or suggestion Version 2.0 of IM Profile Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries. Copyright (c) 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road,Palo Alto, California, 94303, U.S.A. All Rights Reserved.